import React from 'react';
export default function TcfSecondLayerVendorExpandedContent(_ref) {
  var _info$purposes, _info$purposes2, _info$legIntPurposes, _info$specialPurposes, _info$specialPurposes2, _info$features, _info$features2, _info$specialFeatures, _info$specialFeatures2;

  var info = _ref.info,
      i18n = _ref.i18n,
      baseClass = _ref.baseClass,
      vendorList = _ref.vendorList;

  var PolicyUrl = function PolicyUrl() {
    return /*#__PURE__*/React.createElement(React.Fragment, null, /*#__PURE__*/React.createElement("h3", null, i18n.VENDOR_PAGE.GROUPS.EXPANDED.POLICY_URL), /*#__PURE__*/React.createElement("a", {
      className: baseClass + "-text " + baseClass + "-text--expanded",
      href: info.policyUrl,
      target: "_blank",
      rel: "noopener noreferrer"
    }, info.policyUrl));
  };

  var Information = function Information(_ref2) {
    var ids = _ref2.ids,
        vendorList = _ref2.vendorList;
    return ids.map(function (id) {
      var _vendorList$id, _vendorList$id2;

      return /*#__PURE__*/React.createElement("div", {
        key: id + "-purposes",
        className: baseClass + "-paragraph"
      }, /*#__PURE__*/React.createElement("p", {
        className: baseClass + "-text " + baseClass + "-text--expanded"
      }, /*#__PURE__*/React.createElement("strong", null, vendorList && ((_vendorList$id = vendorList[id]) == null ? void 0 : _vendorList$id.name) + ": ")), /*#__PURE__*/React.createElement("p", {
        className: baseClass + "-text " + baseClass + "-text--expanded"
      }, vendorList && ((_vendorList$id2 = vendorList[id]) == null ? void 0 : _vendorList$id2.description)));
    });
  };

  return /*#__PURE__*/React.createElement(React.Fragment, null, info.policyUrl && /*#__PURE__*/React.createElement(PolicyUrl, null), !!((_info$purposes = info.purposes) == null ? void 0 : _info$purposes.length) && vendorList.purposes && /*#__PURE__*/React.createElement("h3", null, i18n.VENDOR_PAGE.GROUPS.EXPANDED.PURPOSES), !!((_info$purposes2 = info.purposes) == null ? void 0 : _info$purposes2.length) && vendorList.purposes && /*#__PURE__*/React.createElement(Information, {
    ids: info.purposes,
    vendorList: vendorList.purposes
  }), !!info.legIntPurposes.length && vendorList.purposes && /*#__PURE__*/React.createElement("h3", null, i18n.VENDOR_PAGE.GROUPS.EXPANDED.LEGITIMATE_INTEREST_PURPOSES), !!((_info$legIntPurposes = info.legIntPurposes) == null ? void 0 : _info$legIntPurposes.length) && vendorList.purposes && /*#__PURE__*/React.createElement(Information, {
    ids: info.legIntPurposes,
    vendorList: vendorList.purposes
  }), !!((_info$specialPurposes = info.specialPurposes) == null ? void 0 : _info$specialPurposes.length) && vendorList.specialPurposes && /*#__PURE__*/React.createElement("h3", null, i18n.VENDOR_PAGE.GROUPS.EXPANDED.SPECIAL_PURPOSES), !!((_info$specialPurposes2 = info.specialPurposes) == null ? void 0 : _info$specialPurposes2.length) && vendorList.specialPurposes && /*#__PURE__*/React.createElement(Information, {
    ids: info.specialPurposes,
    vendorList: vendorList.specialPurposes
  }), !!((_info$features = info.features) == null ? void 0 : _info$features.length) && vendorList.features && /*#__PURE__*/React.createElement("h3", null, i18n.VENDOR_PAGE.GROUPS.EXPANDED.FEATURES), !!((_info$features2 = info.features) == null ? void 0 : _info$features2.length) && vendorList.features && /*#__PURE__*/React.createElement(Information, {
    ids: info.features,
    vendorList: vendorList.features
  }), !!((_info$specialFeatures = info.specialFeatures) == null ? void 0 : _info$specialFeatures.length) && vendorList.specialFeatures && /*#__PURE__*/React.createElement("h3", null, i18n.VENDOR_PAGE.GROUPS.EXPANDED.SPECIAL_FEATURES), !!((_info$specialFeatures2 = info.specialFeatures) == null ? void 0 : _info$specialFeatures2.length) && vendorList.specialFeatures && /*#__PURE__*/React.createElement(Information, {
    ids: info.specialFeatures,
    vendorList: vendorList.specialFeatures
  }));
}